cr18650_d = [65+3.5+1.1, 18+1, 18+1];

module cr18650() {
  nl = 1.1;
  nd = 6;
  l = cr18650_d[0] - nl;
  d = cr18650_d[1];
  fl = 0.5;
  fd = d * 0.9;

  translate([0, d/2, d/2])
    rotate(90, [0, 1, 0]) {
    color("silver")
      cylinder(fl, fd/2, fd/2);
    translate([0, 0, fl])
      color("purple")
      cylinder(l-fl, d/2, d/2);
    translate([0, 0, l])
      color("silver")
      cylinder(nl, nd/2, nd/2);
  }
}
