include <motormount.scad>
include <libjuju.scad>

module motorplate() {
  t = 2;
  i = 3.5;
  
  w = 40;
  l = 95;

  translate([-w/2, 0, 0])
    difference() {
    rplate(w, l, t, 3);
    for (x = [0+i, w-i]) {
      for (y = [0+i, l/2, l-i]) {
	translate([x, y, -10+1.6])
	mbolt();
      }
    }
  }
  
  motormount();
  translate([0, l, 0])
    rotate([0, 0, 180])
    motormount();

}

$fn = 40;

motorplate();
